from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSAXDocumentBuilder(XInterface, Protocol):
    def getState(self) -> SAXDocumentBuilderState: ...
    def reset(self) -> None: ...
    def getDocument(self) -> XDocument: ...
    def getDocumentFragment(self) -> XDocumentFragment: ...
    def startDocumentFragment(self, ownerDoc: XDocument) -> None: ...
    def endDocumentFragment(self) -> None: ...
